View Issue Details

IDProjectCategoryView StatusLast Update
0003439ThirdPartyPatchpublic2020-06-01 11:21
Reporterhandrake0724Assigned Towill 
PrioritynormalSeverityminorReproducibilityhave not tried
Status closedResolutionno change required 
Product Versiondev 
Fixed in Version 
Summary0003439: boost command change in makeCGAL script
DescriptionToday, I found that boost build script bootstrap.sh did not create bjam executable by default since boost 1.71.0
before 1.71.0, bjam as well as b2 was created by default.

Looking at bootstrap.sh shows that bjam is just a copy of b2 executable, which can be also verified with sha512sum command.
Boost document also encourages to use b2 instead bjam.

so why don't you change makeCGAL script line 165 as follows:

        && ./bjam toolset=$toolset -j $WM_NCOMPPROCS install \
to
        && ./b2 toolset=$toolset -j $WM_NCOMPPROCS install \

TagsNo tags attached.

Relationships

related to 0003500 assignedwill OpenFOAM Missing touches on the update to the new CGAL and Boost header-only method 

Activities

will

2020-05-22 13:25

manager   ~0011365

This is no longer an issue as both Boost and CGAL are now utilised header only. The makeCGAL script has been removed.

Issue History

Date Modified Username Field Change
2020-01-29 11:49 handrake0724 New Issue
2020-05-22 13:25 will Assigned To => will
2020-05-22 13:25 will Status new => closed
2020-05-22 13:25 will Resolution open => no change required
2020-05-22 13:25 will Note Added: 0011365
2020-06-01 11:21 wyldckat Relationship added related to 0003500